:root {
    --rz-primary: #00539b;
    --rz-success: #4cae04;
    --rz-danger: #dc3513;
    --rz-warning-lighter: #ff6720;
    --rz-gray: #63666a;
}
.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red !important;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 2003;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

code {
    color: #c02d76;
}

.rz-notification {
    top: 0 !important;
    margin-left: 1rem !important;
}

.rz-notification-message {
    width: auto !important;
}

.rz-notification-item-wrapper {
    width: auto !important;
    min-width: auto !important;
}

.rz-message-popup {
    z-index: 2003;
}

.rz-numeric input[type=number], .rz-numeric input[type=text] {
    padding-inline-end: 15px;
}

.rz-data-grid .rz-form-field-content, .form-field-top-0 .rz-form-field-content {
    margin-top: 0;
}

    .rz-data-grid .rz-form-field-content input, .rz-data-grid .rz-form-field-content textarea {
        font-size: 14px;
    }

/*.rz-data-grid .rz-form-field-content .rz-inputtext {
    font-size: 14px;
    vertical-align: middle;
}*/

.form-field-transparent .rz-form-field-content, .form-field-transparent:hover .rz-form-field-content, .form-field-transparent.rz.state.focused .rz-form-field-content {
    background-color: transparent;
    border: none;
}

.form-field-side-buttons .rz-form-field-start {
    padding-inline-start: 2px;
}

.form-field-side-buttons .rz-form-field-end {
    padding-inline-end: 2px;
}

.floating-container {
    position: relative;
}

.floating-top-right {
    position: absolute;
    z-index: 1;
    right: 0;
    top: 0;
}

.floating-save-button {
    box-shadow: 0px 8px 10px rgba(0, 0, 0, 0.14), 0px 3px 14px rgba(0, 0, 0, 0.12), 0px 5px 5px rgba(0, 0, 0, 0.14);
    border-radius: 50%;
    position: absolute;
    z-index: 1;
    right: 0;
    top: 3px;
}

.fixed-container {
    min-height: 100%;
}

.fixed-footer {
    position: sticky;
    margin: auto 0 0 0;
    bottom: 0;
}

a.blue-link, a:active.blue-link, a:visited.blue-link {
    text-decoration: none;
    color: var(--rz-primary);
}

a:hover.blue-link {
    cursor: pointer;
    color: var(--rz-primary-darker);
}

ul[role=tablist] {
    flex-wrap: wrap;
}

li[role=presentation] {
    border-left: 1px solid #e0e0e0;
    border-right: 1px solid #e0e0e0;
    border-bottom: 1px solid #e0e0e0 !important;
}

    li[role=presentation].rz-tabview-selected {
        background-color: #e0e0e0;
    }

.rz-datatable-reflow.is-body-small .rz-data-grid-data > table,
.rz-datatable-reflow.is-body-small .rz-datatable-tablewrapper > table,
.rz-datatable-reflow.is-body-small .rz-datatable-scrollable-header-box > table,
.rz-datatable-reflow.is-body-small .rz-datatable-scrollable-table-wrapper > table {
    table-layout: auto;
    display: block;
}

    .rz-datatable-reflow.is-body-small .rz-data-grid-data > table > tbody,
    .rz-datatable-reflow.is-body-small .rz-datatable-tablewrapper > table > tbody,
    .rz-datatable-reflow.is-body-small .rz-datatable-scrollable-header-box > table > tbody,
    .rz-datatable-reflow.is-body-small .rz-datatable-scrollable-table-wrapper > table > tbody {
        display: block;
    }

.rz-datatable-reflow.is-body-small thead th {
    display: none;
}

.rz-datatable-reflow.is-body-small .rz-data-row {
    display: block;
}

    .rz-datatable-reflow.is-body-small .rz-data-row > td {
        display: block;
        width: 100% !important;
        text-align: left !important;
        border: none;
    }

        .rz-datatable-reflow.is-body-small .rz-data-row > td .rz-column-title {
            display: block;
        }

.rz-text-body1 {
    word-break: break-all !important;
}
.rz-dialog-wrapper .rz-form-field-helper {
    position: relative
}
.rz-dialog-wrapper .rz-messages-error.rz-message-popup {
    bottom: -10px;
}
@media (max-width:575px) {
    .rz-tabview-panel {
        padding-left: 0.5rem;
        padding-right: 0.5rem;
    }
}

.rz-header {
    background-color: var(--rz-primary) !important;
}
.rz-switch.rz-switch-checked .rz-switch-circle:before {
    background: var(--rz-primary) !important;
}

a.blue-link, a:active.blue-link, a:visited.blue-link,
.rz-button.rz-variant-text.rz-primary.rz-shade-default {
    color: var(--rz-primary) !important;
}

/*.rz-panel-menu .rz-navigation-item-active .rz-navigation-item-icon,
.rz-panel-menu .rz-navigation-item-wrapper-active .rz-navigation-item-icon,
.rz-navigation-item-text {
    color: #00539b !important;
}*/
.rz-button.rz-primary.rz-shade-default {
    background-color: var(--rz-primary);
}
.rz-button.rz-variant-text.rz-primary {
    background-color:transparent;
}
.rz-badge-info.rz-shade-light,
.rz-radiobutton-box .rzi-circle-on {
    background-color: var(--rz-primary) !important;
}

.rz-radiobutton-box.rz-state-active {
    border-color: var(--rz-primary) !important;
}

.rz-radio-button-list:focus {
    outline: var(--rz-primary) !important;
}

.rz-chkbox-box.rz-state-active {
    background-color: var(--rz-primary);
    border-color: var(--rz-primary);
}
.rz-tabview-nav .rz-tabview-selected {
    color: var(--rz-primary);
}

.rz-background-color-base-700 {
    background-color: var(--rz-gray) !important;
}

.rz-panel-menu .rz-navigation-menu .rz-navigation-item-active,
.rz-panel-menu .rz-navigation-menu .rz-navigation-item-wrapper-active {
    color: var(--rz-primary);
    background-color: rgb(0,83,55,0.10)
}
    .rz-panel-menu .rz-navigation-menu .rz-navigation-item-active .rz-navigation-item-icon, .rz-panel-menu .rz-navigation-menu .rz-navigation-item-wrapper-active .rz-navigation-item-icon {
        color: var(--rz-primary);
    }

.move-plans .rz-datalist-data > li {
    background-color: rgb(0 83 155) !important;
    margin-inline: 0;
    margin-block: 0;
}
.rz-button.rz-dark {
    background-color: var(--rz-gray);
}

.rz-panel-menu .rz-navigation-item-active,
.rz-panel-menu .rz-navigation-item-wrapper-active {
    color: var(--rz-primary);
    background-color: rgb(0,83,55,0.10)
}
.rz-panel-menu .rz-navigation-item-active .rz-navigation-item-icon,
.rz-panel-menu .rz-navigation-item-wrapper-active .rz-navigation-item-icon {
        color: var(--rz-primary);
}
.rz-form-field.rz-state-focused .rz-form-field-content, .rz-numeric:focus-within:not(.rz-state-disabled), .rz-autocomplete:focus-within:not(.rz-state-disabled), .rz-timespanpicker > .rz-inputtext:not(:disabled):not(.rz-state-disabled):focus, .rz-colorpicker:not(:disabled):not(.rz-state-disabled):focus, .rz-lookup-search input:not(:disabled):not(.rz-state-disabled):focus, .rz-numeric:not(:disabled):not(.rz-state-disabled):focus, .rz-datepicker > .rz-inputtext:not(:disabled):not(.rz-state-disabled):focus, .rz-multiselect:not(:disabled):not(.rz-state-disabled):focus, .rz-dropdown:not(:disabled):not(.rz-state-disabled):focus, .mask:not(:disabled):not(.rz-state-disabled):focus, .rz-textarea:not(:disabled):not(.rz-state-disabled):focus, .rz-textbox:not(:disabled):not(.rz-state-disabled):focus {
    border-color: var(--rz-primary);
}
.rz-state-focused .rz-form-field-label, .rz-form-field.rz-state-focused .rz-form-field-label, .rz-form-field.rz-variant-filled.rz-state-focused ~ .rz-form-field-label, .rz-form-field.rz-variant-flat.rz-state-focused ~ .rz-form-field-label, .rz-textbox:focus ~ .rz-form-field-label, .rz-textarea:focus ~ .rz-form-field-label, .rz-numeric:focus-within ~ .rz-form-field-label, .rz-autocomplete:focus-within ~ .rz-form-field-label, .rz-form-field.rz-variant-filled .rz-textbox:focus ~ .rz-form-field-label, .rz-form-field.rz-variant-flat .rz-textbox:focus ~ .rz-form-field-label {
    color: var(--rz-primary);
}
.rz-form-field.rz-state-focused .rz-form-field-content {
    box-shadow: 0 0 0 transparent;
}
